import PocketBase from 'pocketbase';

const pb = new PocketBase('https://iot.epi.cb85.software');

await pb.admins.authWithPassword('test@example.com', '123456');

// fetch a paginated records list
const resultList = await pb.admins.getList(1, 100, {
    filter: 'created >= \'2022-01-01 00:00:00\'',
});

// you can also fetch all records at once via getFullList
const admins = await pb.admins.getFullList({ sort: '-created' });

// or fetch only the first admin that matches the specified filter
const admin = await pb.admins.getFirstListItem('email~"test"');